Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Makefile.am	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -83,18 +83,30 @@
 	$(srcdir)/Options/InvalidCommands/testsuite-options-invalid-commands.at \
 	$(srcdir)/Parser/testsuite-parser.at \
-	$(srcdir)/Parser/Mpqc/testsuite-parser-mpqc.at \
+	$(srcdir)/Parser/Mpqc/testsuite-parser-mpqc-empty.at \
+	$(srcdir)/Parser/Mpqc/testsuite-parser-mpqc-load.at \
+	$(srcdir)/Parser/Mpqc/testsuite-parser-mpqc-save.at \
 	$(srcdir)/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at \
 	$(srcdir)/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-basis.at \
 	$(srcdir)/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-maxiterations.at \
 	$(srcdir)/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-theory.at \
-	$(srcdir)/Parser/Pcp/testsuite-parser-pcp.at \
+	$(srcdir)/Parser/Pcp/testsuite-parser-pcp-empty.at \
+	$(srcdir)/Parser/Pcp/testsuite-parser-pcp-load.at \
 	$(srcdir)/Parser/Pcp/testsuite-parser-pcp-multiple-timesteps.at \
-	$(srcdir)/Parser/Pdb/testsuite-parser-pdb.at \
+	$(srcdir)/Parser/Pcp/testsuite-parser-pcp-save.at \
+	$(srcdir)/Parser/Pdb/testsuite-parser-pdb-empty.at \
+	$(srcdir)/Parser/Pdb/testsuite-parser-pdb-load.at \
 	$(srcdir)/Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at \
+	$(srcdir)/Parser/Pdb/testsuite-parser-pdb-save.at \
 	$(srcdir)/Parser/Pdb/testsuite-parser-pdb-with-conects.at \
-	$(srcdir)/Parser/Tremolo/testsuite-parser-tremolo.at \
+	$(srcdir)/Parser/Tremolo/testsuite-parser-tremolo-empty.at \
+	$(srcdir)/Parser/Tremolo/testsuite-parser-tremolo-load.at \
+	$(srcdir)/Parser/Tremolo/testsuite-parser-tremolo-save.at \
 	$(srcdir)/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at \
-	$(srcdir)/Parser/Xyz/testsuite-parser-xyz.at \
+	$(srcdir)/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at \
+	$(srcdir)/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at \
+	$(srcdir)/Parser/Xyz/testsuite-parser-xyz-empty.at \
+	$(srcdir)/Parser/Xyz/testsuite-parser-xyz-load.at \
 	$(srcdir)/Parser/Xyz/testsuite-parser-xyz-multiple-timesteps.at \
+	$(srcdir)/Parser/Xyz/testsuite-parser-xyz-save.at \
 	$(srcdir)/RandomNumbers/testsuite-randomnumbers.at \
 	$(srcdir)/RandomNumbers/Distribution/testsuite-set-random-number-distribution.at \
Index: tests/regression/Parser/Mpqc/testsuite-parser-mpqc-empty.at
===================================================================
--- tests/regression/Parser/Mpqc/testsuite-parser-mpqc-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Mpqc/testsuite-parser-mpqc-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,11 @@
+### parsing mpqc
+
+AT_SETUP([Parser - loading empty mpqc file])
+AT_KEYWORDS([parser,mpqc,emptyfile])
+
+file=empty.in
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/empty.in $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -o mpqc], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Mpqc/testsuite-parser-mpqc-load.at
===================================================================
--- tests/regression/Parser/Mpqc/testsuite-parser-mpqc-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Mpqc/testsuite-parser-mpqc-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,68 @@
+### parsing mpqc
+
+AT_SETUP([Parser - loading mpqc file])
+AT_KEYWORDS([parser,mpqc])
+
+file=testCLHF.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLHF.in], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+file=testCLKS.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLKS.in], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testCLKS.in], 0, [ignore], [ignore])
+
+file=testMBPT2.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2.in], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testMBPT2.in], 0, [ignore], [ignore])
+
+file=testMBPT2_R12.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2_R12.in], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testMBPT2_R12.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading mpqc file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,mpqc])
+
+file=emptyCLHF.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLHF.in --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/emptyCLHF.in], 0, [ignore], [ignore])
+
+file=emptyCLKS.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLKS.in --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/emptyCLKS.in], 0, [ignore], [ignore])
+
+file=emptyMBPT2.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2.in --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/emptyMBPT2.in], 0, [ignore], [ignore])
+
+file=emptyMBPT2_R12.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2_R12.in --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/emptyMBPT2_R12.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading mpqc file with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,mpqc])
+
+file=testCLHF.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLHF.in --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+file=testCLKS.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLKS.in --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testCLKS.in], 0, [ignore], [ignore])
+
+file=testMBPT2.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2.in --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testMBPT2.in], 0, [ignore], [ignore])
+
+file=testMBPT2_R12.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2_R12.in --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testMBPT2_R12.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Mpqc/testsuite-parser-mpqc-save.at
===================================================================
--- tests/regression/Parser/Mpqc/testsuite-parser-mpqc-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Mpqc/testsuite-parser-mpqc-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,9 @@
+### parsing mpqc
+
+AT_SETUP([Parser - saving mpqc from loaded xyz file])
+AT_KEYWORDS([parser,mpqc,xyz])
+
+AT_CHECK([../../molecuilder -i test.xyz  -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Mpqc/testsuite-parser-mpqc.at
===================================================================
--- tests/regression/Parser/Mpqc/testsuite-parser-mpqc.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ 	(revision )
@@ -1,97 +1,0 @@
-### parsing mpqc
-
-AT_SETUP([Parser - loading empty mpqc file])
-AT_KEYWORDS([parser,mpqc,emptyfile])
-
-file=empty.in
-AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/empty.in $file], 0, [ignore], [ignore])
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -o mpqc], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading mpqc file])
-AT_KEYWORDS([parser,mpqc])
-
-file=testCLHF.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLHF.in], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
-
-file=testCLKS.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLKS.in], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testCLKS.in], 0, [ignore], [ignore])
-
-file=testMBPT2.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2.in], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testMBPT2.in], 0, [ignore], [ignore])
-
-file=testMBPT2_R12.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2_R12.in], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testMBPT2_R12.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading mpqc file with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,mpqc])
-
-file=emptyCLHF.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLHF.in --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/emptyCLHF.in], 0, [ignore], [ignore])
-
-file=emptyCLKS.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLKS.in --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/emptyCLKS.in], 0, [ignore], [ignore])
-
-file=emptyMBPT2.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2.in --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/emptyMBPT2.in], 0, [ignore], [ignore])
-
-file=emptyMBPT2_R12.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2_R12.in --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/emptyMBPT2_R12.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading mpqc file with Redo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,mpqc])
-
-file=testCLHF.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLHF.in --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
-
-file=testCLKS.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLKS.in --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testCLKS.in], 0, [ignore], [ignore])
-
-file=testMBPT2.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2.in --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testMBPT2.in], 0, [ignore], [ignore])
-
-file=testMBPT2_R12.in
-AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2_R12.in --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/testMBPT2_R12.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - storing mpqc from loaded xyz file])
-AT_KEYWORDS([parser,mpqc,xyz])
-
-AT_CHECK([../../molecuilder -i test.xyz  -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.xyz], 0, [ignore], [ignore])
-AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - saving mpqc (from parsed xyz) file])
-AT_KEYWORDS([parser,mpqc,xyz])
-
-AT_CHECK([../../molecuilder -i test.xyz  -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.xyz --output store.in], 0, [ignore], [ignore])
-AT_CHECK([diff store.in ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Parser/Pcp/testsuite-parser-pcp-empty.at
===================================================================
--- tests/regression/Parser/Pcp/testsuite-parser-pcp-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Pcp/testsuite-parser-pcp-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,11 @@
+### parsing pcp
+
+AT_SETUP([Parser - loading empty conf file])
+AT_KEYWORDS([parser,pcp,emptyfile])
+
+file=empty.conf
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/empty.conf $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -o pcp], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Pcp/testsuite-parser-pcp-load.at
===================================================================
--- tests/regression/Parser/Pcp/testsuite-parser-pcp-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Pcp/testsuite-parser-pcp-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,29 @@
+### parsing pcp
+
+AT_SETUP([Parser - loading conf file])
+AT_KEYWORDS([parser,pcp])
+
+AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading conf file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,pcp])
+
+AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf --undo], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading conf file with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,pcp])
+
+AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Pcp/testsuite-parser-pcp-save.at
===================================================================
--- tests/regression/Parser/Pcp/testsuite-parser-pcp-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Pcp/testsuite-parser-pcp-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,10 @@
+### parsing pcp
+
+
+AT_SETUP([Parser - saving conf file])
+AT_KEYWORDS([parser,pcp])
+
+AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf --output store.conf], 0, [ignore], [ignore])
+AT_CHECK([diff store.conf ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Pcp/testsuite-parser-pcp.at
===================================================================
--- tests/regression/Parser/Pcp/testsuite-parser-pcp.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ 	(revision )
@@ -1,49 +1,0 @@
-### parsing pcp
-
-AT_SETUP([Parser - loading empty conf file])
-AT_KEYWORDS([parser,pcp,emptyfile])
-
-file=empty.conf
-AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/empty.conf $file], 0, [ignore], [ignore])
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -o pcp], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading conf file])
-AT_KEYWORDS([parser,pcp])
-
-AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading conf file with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,pcp])
-
-AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf --undo], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/empty.conf], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading conf file with Redo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,pcp])
-
-AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - saving conf file])
-AT_KEYWORDS([parser,pcp])
-
-AT_CHECK([../../molecuilder -i test.conf -o pcp -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/pre/test.conf --output store.conf], 0, [ignore], [ignore])
-AT_CHECK([diff store.conf ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Parser/Pdb/testsuite-parser-pdb-empty.at
===================================================================
--- tests/regression/Parser/Pdb/testsuite-parser-pdb-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Pdb/testsuite-parser-pdb-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,7 @@
+### parsing pdb
+
+AT_SETUP([Parser - loading empty pdb file])
+AT_KEYWORDS([parser,pdb,emptyfile])
+AT_CHECK([echo "" >test.pdb], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i test.pdb -o pdb], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Parser/Pdb/testsuite-parser-pdb-load.at
===================================================================
--- tests/regression/Parser/Pdb/testsuite-parser-pdb-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Pdb/testsuite-parser-pdb-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,30 @@
+### parsing pdb
+
+AT_SETUP([Parser - loading pdb file])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb], 0, [ignore], [ignore])
+AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading pdb file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --undo], 0, [ignore], [ignore])
+AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/empty.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading pdb file with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Parser/Pdb/testsuite-parser-pdb-save.at
===================================================================
--- tests/regression/Parser/Pdb/testsuite-parser-pdb-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Pdb/testsuite-parser-pdb-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,9 @@
+### parsing pdb
+
+
+AT_SETUP([Parser - saving pdb file])
+AT_KEYWORDS([parser,pdb])
+AT_CHECK([../../molecuilder -i test.pdb  -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --output store.pdb], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*created by molecuilder.*' store.pdb ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
Index: tests/regression/Parser/Pdb/testsuite-parser-pdb.at
===================================================================
--- tests/regression/Parser/Pdb/testsuite-parser-pdb.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ 	(revision )
@@ -1,44 +1,0 @@
-### parsing pdb
-
-AT_SETUP([Parser - loading empty pdb file])
-AT_KEYWORDS([parser,pdb,emptyfile])
-AT_CHECK([echo "" >test.pdb], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i test.pdb -o pdb], 0, [ignore], [ignore])
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading pdb file])
-AT_KEYWORDS([parser,pdb])
-
-AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb], 0, [ignore], [ignore])
-AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading pdb file with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,pdb])
-
-AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --undo], 0, [ignore], [ignore])
-AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/empty.pdb], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading pdb file with Redo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,pdb])
-
-AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - saving pdb file])
-AT_KEYWORDS([parser,pdb])
-AT_CHECK([../../molecuilder -i test.pdb  -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --output store.pdb], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*created by molecuilder.*' store.pdb ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
-AT_CLEANUP
-
Index: tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at
===================================================================
--- tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,15 @@
+### parsing tremolo
+
+
+AT_SETUP([Parser - load tremolo file with potentials])
+AT_KEYWORDS([parser,tremolo,load,potentials])
+
+file=argon.data
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/pre/argon.data $file], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/pre/argon.potentials .], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -v 2 --parse-tremolo-potentials argon.potentials -i $file], 0, [stdout], [ignore])
+AT_CHECK([grep "Chemical formula is Ar2" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/post/argon.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at
===================================================================
--- tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,9 @@
+### parsing tremolo
+
+AT_SETUP([Parser - saving tremolo file from loaded xyz file with potentials])
+AT_KEYWORDS([parser,tremolo,save,potentials])
+
+AT_CHECK([../../molecuilder -v 2 --parse-tremolo-potentials argon.potentials -i test.data -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([file=test.data; diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/post/test.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at
===================================================================
--- tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -10,25 +10,2 @@
 
 AT_CLEANUP
-
-
-AT_SETUP([Parser - load tremolo file with potentials])
-AT_KEYWORDS([parser,tremolo,load,potentials])
-
-file=argon.data
-AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/pre/argon.data $file], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/pre/argon.potentials .], 0, [ignore], [ignore])
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -v 2 --parse-tremolo-potentials argon.potentials -i $file], 0, [stdout], [ignore])
-AT_CHECK([grep "Chemical formula is Ar2" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/post/argon.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - saving tremolo file from loaded xyz file with potentials])
-AT_KEYWORDS([parser,tremolo,save,potentials])
-
-AT_CHECK([../../molecuilder -v 2 --parse-tremolo-potentials argon.potentials -i test.data -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/pre/test.xyz], 0, [ignore], [ignore])
-AT_CHECK([file=test.data; diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo-Potentials/post/test.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Parser/Tremolo/testsuite-parser-tremolo-empty.at
===================================================================
--- tests/regression/Parser/Tremolo/testsuite-parser-tremolo-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Tremolo/testsuite-parser-tremolo-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,11 @@
+### parsing tremolo
+
+AT_SETUP([Parser - loading empty tremolo file])
+AT_KEYWORDS([parser,tremolo,emptyfile])
+
+file=empty.data
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/empty.data $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -o tremolo], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Tremolo/testsuite-parser-tremolo-load.at
===================================================================
--- tests/regression/Parser/Tremolo/testsuite-parser-tremolo-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Tremolo/testsuite-parser-tremolo-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,33 @@
+### parsing tremolo
+
+
+AT_SETUP([Parser - loading tremolo file])
+AT_KEYWORDS([parser,tremolo])
+
+file=argon.data
+AT_CHECK([../../molecuilder -i $file -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/argon.data], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/argon.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading tremolo file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,tremolo])
+
+file=argon.data
+AT_CHECK([../../molecuilder -i $file -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/argon.data --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/argon.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading tremolo file with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,tremolo])
+
+file=argon.data
+AT_CHECK([../../molecuilder -i $file -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/argon.data --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/argon.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Tremolo/testsuite-parser-tremolo-save.at
===================================================================
--- tests/regression/Parser/Tremolo/testsuite-parser-tremolo-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Tremolo/testsuite-parser-tremolo-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,21 @@
+### parsing tremolo
+
+
+AT_SETUP([Parser - saving tremolo file])
+AT_KEYWORDS([parser,tremolo])
+
+file=test.data
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/test.data $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -o tremolo --output store.data], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' store.data ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/test.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - saving tremolo from loaded xyz file])
+AT_KEYWORDS([parser,tremolo,xyz])
+
+AT_CHECK([../../molecuilder -i test.xyz  -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([file=test.data; diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/test.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Tremolo/testsuite-parser-tremolo.at
===================================================================
--- tests/regression/Parser/Tremolo/testsuite-parser-tremolo.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ 	(revision )
@@ -1,63 +1,0 @@
-### parsing tremolo
-
-AT_SETUP([Parser - loading empty tremolo file])
-AT_KEYWORDS([parser,tremolo,emptyfile])
-
-file=empty.data
-AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/empty.data $file], 0, [ignore], [ignore])
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -o tremolo], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading tremolo file])
-AT_KEYWORDS([parser,tremolo])
-
-file=argon.data
-AT_CHECK([../../molecuilder -i $file -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/argon.data], 0, [ignore], [ignore])
-AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/argon.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading tremolo file with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,tremolo])
-
-file=argon.data
-AT_CHECK([../../molecuilder -i $file -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/argon.data --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/empty.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading tremolo file with Redo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,tremolo])
-
-file=argon.data
-AT_CHECK([../../molecuilder -i $file -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/argon.data --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/argon.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - saving tremolo file])
-AT_KEYWORDS([parser,tremolo])
-
-file=test.data
-AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/test.data $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -o tremolo --output store.data], 0, [ignore], [ignore])
-AT_CHECK([diff -w -I '#.*' store.data ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/test.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - storing tremolo from loaded xyz file])
-AT_KEYWORDS([parser,tremolo,xyz])
-
-AT_CHECK([../../molecuilder -i test.xyz  -o tremolo -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/pre/test.xyz], 0, [ignore], [ignore])
-AT_CHECK([file=test.data; diff -w -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Tremolo/post/test.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Parser/Xyz/testsuite-parser-xyz-empty.at
===================================================================
--- tests/regression/Parser/Xyz/testsuite-parser-xyz-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Xyz/testsuite-parser-xyz-empty.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,12 @@
+### parsing xyz
+
+AT_SETUP([Parser - loading empty xyz file])
+AT_KEYWORDS([parser,xyz,emptyfile])
+
+file=empty.xyz
+AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/empty.xyz $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -o xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Parser/Xyz/testsuite-parser-xyz-load.at
===================================================================
--- tests/regression/Parser/Xyz/testsuite-parser-xyz-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Xyz/testsuite-parser-xyz-load.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,32 @@
+### parsing xyz
+
+AT_SETUP([Parser - loading xyz file])
+AT_KEYWORDS([parser,xyz])
+
+file=test.xyz
+AT_CHECK([../../molecuilder -i $file -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading xyz file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,xyz])
+
+file=test.xyz
+AT_CHECK([../../molecuilder -i $file -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading xyz file with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,xyz])
+
+file=test.xyz
+AT_CHECK([../../molecuilder -i $file -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Xyz/testsuite-parser-xyz-save.at
===================================================================
--- tests/regression/Parser/Xyz/testsuite-parser-xyz-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
+++ tests/regression/Parser/Xyz/testsuite-parser-xyz-save.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -0,0 +1,10 @@
+### parsing xyz
+
+
+AT_SETUP([Parser - saving xyz file])
+AT_KEYWORDS([parser,xyz])
+
+AT_CHECK([../../molecuilder -i test.xyz  -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz --output store.xyz], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' store.xyz ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Xyz/testsuite-parser-xyz.at
===================================================================
--- tests/regression/Parser/Xyz/testsuite-parser-xyz.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ 	(revision )
@@ -1,52 +1,0 @@
-### parsing xyz
-
-AT_SETUP([Parser - loading empty xyz file])
-AT_KEYWORDS([parser,xyz,emptyfile])
-
-file=empty.xyz
-AT_CHECK([/bin/cp ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/empty.xyz $file], 0, [ignore], [ignore])
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -o xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading xyz file])
-AT_KEYWORDS([parser,xyz])
-
-file=test.xyz
-AT_CHECK([../../molecuilder -i $file -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/test.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading xyz file with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,xyz])
-
-file=test.xyz
-AT_CHECK([../../molecuilder -i $file -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/empty.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - loading xyz file with Redo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([parser,xyz])
-
-file=test.xyz
-AT_CHECK([../../molecuilder -i $file -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/test.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - saving xyz file])
-AT_KEYWORDS([parser,xyz])
-
-AT_CHECK([../../molecuilder -i test.xyz  -o xyz -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/pre/test.xyz --output store.xyz], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' store.xyz ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Xyz/post/test.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Parser/testsuite-parser.at
===================================================================
--- tests/regression/Parser/testsuite-parser.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Parser/testsuite-parser.at	(revision 520f93930dc8a9f478562e28fb307e3e18d9b0bc)
@@ -8,23 +8,35 @@
 
 # parsing mpqc
-m4_include([Parser/Mpqc/testsuite-parser-mpqc.at])
+m4_include([Parser/Mpqc/testsuite-parser-mpqc-empty.at])
+m4_include([Parser/Mpqc/testsuite-parser-mpqc-load.at])
+m4_include([Parser/Mpqc/testsuite-parser-mpqc-save.at])
 
 # parsing pcp
-m4_include([Parser/Pcp/testsuite-parser-pcp.at])
+m4_include([Parser/Pcp/testsuite-parser-pcp-empty.at])
+m4_include([Parser/Pcp/testsuite-parser-pcp-load.at])
 m4_include([Parser/Pcp/testsuite-parser-pcp-multiple-timesteps.at])
+m4_include([Parser/Pcp/testsuite-parser-pcp-save.at])
 
 # parsing pdb
-m4_include([Parser/Pdb/testsuite-parser-pdb.at])
+m4_include([Parser/Pdb/testsuite-parser-pdb-empty.at])
+m4_include([Parser/Pdb/testsuite-parser-pdb-load.at])
 m4_include([Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at])
+m4_include([Parser/Pdb/testsuite-parser-pdb-save.at])
 m4_include([Parser/Pdb/testsuite-parser-pdb-with-conects.at])
 
 # parsing tremolo
-m4_include([Parser/Tremolo/testsuite-parser-tremolo.at])
+m4_include([Parser/Tremolo/testsuite-parser-tremolo-empty.at])
+m4_include([Parser/Tremolo/testsuite-parser-tremolo-load.at])
+m4_include([Parser/Tremolo/testsuite-parser-tremolo-save.at])
 
 # parsing tremolo with .potentials
 m4_include([Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at])
+m4_include([Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at])
+m4_include([Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at])
 
 # parsing xyz
-m4_include([Parser/Xyz/testsuite-parser-xyz.at])
+m4_include([Parser/Xyz/testsuite-parser-xyz-empty.at])
+m4_include([Parser/Xyz/testsuite-parser-xyz-load.at])
 m4_include([Parser/Xyz/testsuite-parser-xyz-multiple-timesteps.at])
+m4_include([Parser/Xyz/testsuite-parser-xyz-save.at])
 
